Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MovieAudio Class Reference

A MovieAudio is actually any source that provides a sequence of audio samples. More...

Inheritance diagram for MovieAudio:

List of all members.

## Public Member Functions
| MovieAudio (string name)
| This constructor returns a null audio stream --- a stream of total silence, at 8000 samples per second.
| MovieAudio ()
| This constructor returns a null audio stream --- a stream of total silence, at 8000 samples per second.
Filename const | getFilename ()
| Returns the movie's filename.
MovieAudioCursor | open ()
| Open this audio, returning a MovieAudioCursor.
## Static Public Member Functions
static MovieAudio | get (Filename const name)
| Obtains a MovieAudio that references a file.
static TypeHandle | getClassType ()

## Detailed Description

A MovieAudio is actually any source that provides a sequence of audio samples.

That could include an AVI file, a microphone, or an internet TV station.

The difference between a MovieAudio and a MovieAudioCursor is like the difference between a filename and a file handle. The MovieAudio just indicates a particular movie. The MovieAudioCursor is what allows access.

## Constructor & Destructor Documentation

MovieAudio | ( | string | name | ) |

This constructor returns a null audio stream --- a stream of total silence, at 8000 samples per second.

To get more interesting audio, you need to construct a subclass of this class.

MovieAudio | ( |  | ) |

This constructor returns a null audio stream --- a stream of total silence, at 8000 samples per second.

To get more interesting audio, you need to construct a subclass of this class.

## Member Function Documentation

static MovieAudio get | ( | Filename const | name | ) | `[static]`

Obtains a MovieAudio that references a file.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from Namable.

Reimplemented in FfmpegAudio, MicrophoneAudio, and UserDataAudio.

Filename const getFilename | ( |  | ) |

Returns the movie's filename.

A movie is not guaranteed to have a filename, if not, then this function returns a null filename.

MovieAudioCursor open | ( |  | ) |

Open this audio, returning a MovieAudioCursor.

Reimplemented in FfmpegAudio, MicrophoneAudio, and UserDataAudio.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties